Package org.lwjgl.opencl.api

# Class CLBufferRegion

java.lang.Object
org.lwjgl.opencl.api.CLBufferRegion

public final class CLBufferRegion extends Object
Simple container for cl_buffer_region struct values.

Author:
  Spasi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`STRUCT_SIZE`
The cl_buffer_region struct size in bytes.

## Constructor Summary

Constructors
Constructor
Description
`CLBufferRegion(int origin, int size)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getOrigin()`
`int`
`getSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STRUCT_SIZE

public static final int STRUCT_SIZE
The cl_buffer_region struct size in bytes.

## Constructor Details

### CLBufferRegion

public CLBufferRegion(int origin, int size)

## Method Details

### getOrigin

public int getOrigin()

### getSize

public int getSize()